Loading...
Searching...
No Matches
nonstd::variants::detail::TypedVisitorUnwrapper< 3, R, Visitor, T2, T3 > Struct Template Reference

`#include <variant.hpp>`

## Public Member Functions

| TypedVisitorUnwrapper (const Visitor &visitor_, T2 const &val2_, T3 const &val3_)
template<typename T >
R | operator() (const T &val1) const

## Public Attributes

const Visitor & | visitor
T2 const & | val2
T3 const & | val3

## Detailed Description

template<typename R, typename Visitor, typename T2, typename T3>
struct nonstd::variants::detail::TypedVisitorUnwrapper< 3, R, Visitor, T2, T3 >

Definition at line 2303 of file variant.hpp.

## Constructor & Destructor Documentation

## TypedVisitorUnwrapper()

template<typename R , typename Visitor , typename T2 , typename T3 >

nonstd::variants::detail::TypedVisitorUnwrapper< 3, R, Visitor, T2, T3 >::TypedVisitorUnwrapper | ( | const Visitor & | visitor_,
|  | T2 const & | val2_,
|  | T3 const & | val3_
| ) |  |

inline

Definition at line 2309 of file variant.hpp.

## Member Function Documentation

## operator()()

template<typename R , typename Visitor , typename T2 , typename T3 >
template<typename T >

R nonstd::variants::detail::TypedVisitorUnwrapper< 3, R, Visitor, T2, T3 >::operator() | ( | const T & | val1 | ) | const

inline

Definition at line 2318 of file variant.hpp.

## Member Data Documentation

## val2

template<typename R , typename Visitor , typename T2 , typename T3 >

T2 const& nonstd::variants::detail::TypedVisitorUnwrapper< 3, R, Visitor, T2, T3 >::val2

Definition at line 2306 of file variant.hpp.

## val3

template<typename R , typename Visitor , typename T2 , typename T3 >

T3 const& nonstd::variants::detail::TypedVisitorUnwrapper< 3, R, Visitor, T2, T3 >::val3

Definition at line 2307 of file variant.hpp.

## visitor

template<typename R , typename Visitor , typename T2 , typename T3 >

const Visitor& nonstd::variants::detail::TypedVisitorUnwrapper< 3, R, Visitor, T2, T3 >::visitor

Definition at line 2305 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp